/*****************************************************************************************************************
Written by Artur Araujo
April-June 2016

artur.stat@gmail.com

while working for the
Luxembourg Institute of Health
on the IDEAL project

http://www.ideal.rwth-aachen.de/
*****************************************************************************************************************/

* Log current folder ;
%xlog(cd);

* Determine path to script ;
%let ScriptDir=%sysfunc(
	tranwrd(
		%sysget(SAS_EXECFILEPATH),
		%sysget(SAS_EXECFILENAME),
	)
);

* Set current folder ;
x cd "&ScriptDir";

* Log current folder ;
%xlog(cd);

/*****************************************************************************************************************
Programs for
Araujo, Artur, 2018, Statistical Analysis of Series of N-of-1 Trials Using SAS

Chapter 2: Defining local library and file reference
*****************************************************************************************************************/

/*****************************************************************************************************************
Program 2.1: Defining a local library
*****************************************************************************************************************/

libname NORMAL "..\library\normal";

/*****************************************************************************************************************
Program 2.2: Defining a file reference
*****************************************************************************************************************/

filename nof1 DISK '..\data\N of 1 example.csv';
